Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.hp.hpl.jena.sdb.layout2
Enum ValueType

    java.lang.Object
      java.lang.Enum<ValueType>
          com.hp.hpl.jena.sdb.layout2.ValueType

All Implemented Interfaces:
  com.hp.hpl.jena.sparql.util.Named, Serializable, Comparable<ValueType>

    public enum ValueType

extends Enum<ValueType>
implements com.hp.hpl.jena.sparql.util.Named

Enum Constant Summary
`BNODE`
`DATETIME`
`DOUBLE`
`INTEGER`
`OTHER`
`STRING`
`URI`
`VAR`
`XSDSTRING`

Method Summary
`abstract com.hp.hpl.jena.datatypes.xsd.XSDDatatype` | `getDatatype()`
`abstract String` | `getName()`
`abstract int` | `getTypeId()`
`static ValueType` | `lookup(int type)`
`static ValueType` | `lookup(com.hp.hpl.jena.graph.Node n)`
`String` | `toString()`
`static ValueType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ValueType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BNODE

    public static final ValueType BNODE

### URI

    public static final ValueType URI

### STRING

    public static final ValueType STRING

### XSDSTRING

    public static final ValueType XSDSTRING

### INTEGER

    public static final ValueType INTEGER

### DOUBLE

    public static final ValueType DOUBLE

### DATETIME

    public static final ValueType DATETIME

### VAR

    public static final ValueType VAR

### OTHER

    public static final ValueType OTHER

Method Detail

### values

    public static ValueType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ValueType c : ValueType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ValueType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getTypeId

    public abstract int getTypeId()

### getDatatype

    public abstract com.hp.hpl.jena.datatypes.xsd.XSDDatatype getDatatype()

### getName

    public abstract String getName()

  Specified by:
    `getName` in interface `com.hp.hpl.jena.sparql.util.Named`

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<ValueType>`

### lookup

    public static ValueType lookup(com.hp.hpl.jena.graph.Node n)

### lookup

    public static ValueType lookup(int type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.